System 2.0.0.0 4.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Method)

You can use the to identify data operation methods on a type marked with the attribute so that they are more easily identified by callers using reflection. When the attribute is applied to a method, it describes the type of operation the method performs and indicates whether the method is the default data operation method of a type. Components such as the control and the class examine the values of this attribute, if present, to help determine which data method to call at run time.

Identifies a data operation method exposed by a type, what type of operation the method performs, and whether the method is the default data method. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0

  The property is set to false when you create a object using this constructor.

  Initializes a new instance of the class and identifies the type of data operation the method performs.

  One of the values that describes the data operation the method performs.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class, identifies the type of data operation the method performs, and identifies whether the method is the default data method that the data object exposes.

  One of the values that describes the data operation the method performs.
  true to indicate the method that the attribute is applied to is the default method of the data object for the specified ; otherwise, false.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  This method determines whether this fits the pattern of another object.

  Returns a value indicating whether this instance is equal to a specified object.

  true if this instance is the same as the instance specified by the parameter; otherwise, false.

  An object to compare with this instance of .
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Returns the hash code for this instance.

  A 32-bit signed integer hash code.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  The control uses the property to distinguish between multiple methods that match the signature requirements for a specific method type. If two methods match the signature requirements, the method with the property set to true is selected.

  At design-time the property is used to automatically set the , , , and properties on an instance.

  If the is created using the constructor that only takes a parameter, the property is set to false.

  Gets a value indicating whether the method that the is applied to is the default data method exposed by the data object for a specific method type.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  This method determines whether one fits the pattern of another. Its implementation is not the same as that of , however, because it does not test for true equality.

  Gets a value indicating whether this instance shares a common pattern with a specified attribute.

  true if this instance is the same as the instance specified by the parameter; otherwise, false.

  An object to compare with this instance of .
- Property
  2.0.0.0
  4.0.0.0
  System.ComponentModel.DataObjectMethodType To be added. To be added.

  Gets a value indicating the type of data operation the method performs.